Create a Folder
Endpoint used to create a folder in a Toolzz Bots workspace.
Request Example
Section titled “Request Example”curl --request POST \ --url 'https://bots.toolzz.ai/api/v1/folders' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "workspaceId": "<string>", "foldername": "<string>" }'Response Example
Section titled “Response Example”{ "folder": { "id": "<string>", "name": "<string>", "workspaceId": "<string>", "createdAt": "<string>", "updatedAt": "<string>" }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (must contain “Bearer” before the token) | Yes |
Body Parameters
Section titled “Body Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
workspaceId | string | The unique identifier of the workspace to create a folder for. | Yes |
foldername | string | The name for the new folder. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
folder | object | The workspace folder information. |
folder.id | string | The folder unique identifier. |
folder.name | string | The folder name. |
folder.workspaceId | string | Unique identifier of the workspace the folder belongs to. |
folder.createdAt | string | The folder creation date. |
folder.updatedAt | string | The folder last update date. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request.